Debian Bug report logs - #476672
linux-image-2.6.24-1-686: alsa snd-cs46xx module missing (all linux-image packages)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Chris Lale <chrislale@untrammelled.co.uk>

Date: Fri, 18 Apr 2008 11:24:02 UTC

Severity: wishlist

Tags: help, wontfix

Merged with 430017, 455092, 462035, 464197, 468151, 477409, 493924, 493926, 493928

Found in versions 2.6.23-1, 2.6.24-1

Fixed in version linux-2.6/2.6.31-1~experimental.1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=10750

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Chris Lale <chrislale@untrammelled.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Lale <chrislale@untrammelled.co.uk>
To: submit@bugs.debian.org
Subject: linux-image-2.6.24-1-686: alsa snd-cs46xx module missing (all linux-image packages)
Date: Fri, 18 Apr 2008 12:21:13 +0100
Package: linux-image-2.6.24-1-686
Version: 2.6.24-5
Severity: normal

*** Please type your report below this line ***

Alsa sound stopped working on my Thinkpad T20 after upgrading from Etch
(2.6.18-5-686) to Lenny Testing (2.6.24-1-686). None of the 2.6.24 stock kernel
packages include the snd-cs46xx kernel module for the Cirrus Logic sound card.

I built the driver from the alsa-base package using module-assistant and
installed the resulting snd-cs46xx module. It works fine. Is possible to include
snd-cs46xx.ko in the linux-image packages so that sound works out of the box
once more?

Thanks,
Chris.


-- Package-specific info:
** Version:
Linux version 2.6.24-1-686 (Debian 2.6.24-5) (waldi@debian.org) (gcc version
4.1.3 20080308 (prerelease) (Debian 4.1.2-21)) #1 SMP Thu Mar 27 17:45:04 UTC 2008

** Command line:
root=/dev/hda6 ro

** Not tainted

** Kernel log:
Yenta: CardBus bridge found at 0000:00:02.0 [1014:0130]
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:02.0, mfunc 0x00001000, devctl 0x66
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Yenta: ISA IRQ mask 0x04b8, PCI irq 11
Socket status: 30000020
Yenta: CardBus bridge found at 0000:00:02.1 [1014:0130]
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:02.1, mfunc 0x00001000, devctl 0x66
Linux agpgart interface v0.102
Yenta: ISA IRQ mask 0x04b8, PCI irq 11
Socket status: 30000006
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
agpgart: Detected an Intel 440BX Chipset.
agpgart: AGP aperture is 64M @ 0xf8000000
piix4_smbus 0000:00:07.3: Found 0000:00:07.3 device
piix4_smbus 0000:00:07.3: IBM system detected; this module may corrupt your
serial eeprom! Refusing to load module!
piix4_smbus: probe of 0000:00:07.3 failed with error -1
input: PC Speaker as /class/input/input2
pccard: CardBus card inserted into slot 0
Real Time Clock Driver v1.12ac
IBM TrackPoint firmware: 0x0e, buttons: 3/3
input: TPPS/2 IBM TrackPoint as /class/input/input3
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Lid Switch as /class/input/input5
ACPI: Lid Switch [LID]
input: Sleep Button (CM) as /class/input/input6
ACPI: Sleep Button (CM) [SLPB]
parport_pc 00:0d: reported by Plug and Play ACPI
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE,EPP]
input: Video Bus as /class/input/input7
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
irda_init()
NET: Registered protocol family 23
nsc-ircc 00:0e: activated
nsc_ircc_pnp_probe() : From PnP, found firbase 0x2F8 ; irq 3 ; dma 1.
nsc-ircc, chip->init
nsc-ircc, Found chip at base=0x02e
nsc-ircc, driver loaded (Dag Brattli)
IrDA: Registered device irda0
nsc-ircc, Found dongle: Sharp RY5HD01
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0x100-0x3af: clean.
cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
ACPI: PCI Interrupt 0000:00:05.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
gameport: CS46xx Gameport is pci0000:00:05.0/gameport0, speed 1807kHz
PCI: Enabling device 0000:02:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
rt2500 1.1.0 CVS CVS Release http://rt2x00.serialmonkey.com
PCI: Setting latency timer of device 0000:02:00.0 to 64
udev: renamed network interface eth1 to wlan0
Adding 240932k swap on /dev/hda5.  Priority:-1 extents:1 across:240932k
EXT3 FS on hda6, internal journal
loop: module loaded
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.12.0-ioctl (2007-10-02) initialised: dm-devel@redhat.com
fuse init (API version 7.9)
rt2500 EEPROM:  1  2  3  4  5  6  7  8  9 10 11 12 13 14  Channel
rt2500 EEPROM:  6  6  6  6  6  8  8  8  8  8  8  8  6  6  dBm Maximum
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IBM machine detected. Enabling interrupts during APM calls.
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
wlan0: no IPv6 routers present
ondemand governor failed, too long transition latency of HW, fallback to
performance governor
lp0: using parport0 (interrupt-driven).
ppdev: user-space parallel port driver
Non-volatile memory driver v1.2
thinkpad_acpi: ThinkPad ACPI Extras v0.17
thinkpad_acpi: http://ibm-acpi.sf.net/
thinkpad_acpi: ThinkPad BIOS IYET50WW (1.11 ), EC unknown
input: ThinkPad Extra Buttons as /class/input/input8
ADDRCONF(NETDEV_UP): eth0: link is not ready
hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hda: drive_cmd: error=0x04 { DriveStatusError }
ide: failed opcode was: 0xef
hdc: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hdc: drive_cmd: error=0x04 { AbortedCommand }
ide: failed opcode was: 0xef
[drm] Initialized drm 1.1.0 20060810
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
[drm] Initialized savage 2.4.1 20050313 on minor 0
mtrr: base(0xf2000000) is not aligned on a size(0x5000000) boundary
agpgart: Found an AGP 1.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
ondemand governor failed, too long transition latency of HW, fallback to
performance governor

** Loaded modules:
Module                  Size  Used by
savage                 29440  2
drm                    74132  3 savage
binfmt_misc            11240  1
uinput                  8832  0
thinkpad_acpi          48028  0
nvram                   8488  1 thinkpad_acpi
ppdev                   8804  0
lp                     11076  0
autofs4                20644  0
speedstep_smi           5552  0
speedstep_lib           5348  1 speedstep_smi
cpufreq_userspace       4260  0
cpufreq_stats           5184  0
cpufreq_powersave       1856  0
cpufreq_ondemand        8492  0
freq_table              4512  3 speedstep_smi,cpufreq_stats,cpufreq_ondemand
cpufreq_conservative     7560  0
ipv6                  240836  27
fuse                   45204  1
dm_snapshot            16964  0
dm_mirror              21600  0
dm_mod                 55812  2 dm_snapshot,dm_mirror
loop                   16804  0
rt2500pci              18656  0
rt2x00pci               9920  1 rt2500pci
rt2x00lib              20000  2 rt2500pci,rt2x00pci
rfkill                  7312  1 rt2x00lib
input_polldev           5000  1 rt2x00lib
crc_itu_t               2176  1 rt2x00lib
mac80211              114380  3 rt2500pci,rt2x00pci,rt2x00lib
cfg80211               13480  1 mac80211
eeprom_93cx6            2304  1 rt2500pci
rt2500                156260  1
snd_cs46xx             80360  1
gameport               14472  2 snd_cs46xx
snd_ac97_codec         93348  1 snd_cs46xx
ac97_bus                2176  1 snd_ac97_codec
irtty_sir               8096  0
sir_dev                15460  1 irtty_sir
nsc_ircc               21328  0
snd_sb16               15080  0
irda                  174236  3 irtty_sir,sir_dev,nsc_ircc
snd_opl3_lib           11360  1 snd_sb16
crc_ccitt               2176  1 irda
battery                13572  0
ac                      6116  0
pcmcia                 37036  0
firmware_class          9312  2 rt2x00lib,pcmcia
snd_sb16_dsp           10080  1 snd_sb16
snd_sb16_csp           18688  1 snd_sb16
snd_sb_common          16256  3 snd_sb16,snd_sb16_dsp,snd_sb16_csp
snd_hwdep               8964  2 snd_opl3_lib,snd_sb16_csp
snd_mpu401_uart         8192  1 snd_sb16
snd_pcm_oss            38624  0
snd_mixer_oss          15808  1 snd_pcm_oss
snd_pcm                70212  5
snd_cs46xx,snd_ac97_codec,snd_sb16,snd_sb16_dsp,snd_pcm_oss
snd_seq_dummy           3876  0
video                  18672  0
output                  3744  1 video
parport_pc             33668  1
parport                34280  3 ppdev,lp,parport_pc
button                  8432  0
snd_seq_oss            31200  0
snd_seq_midi            8160  0
snd_rawmidi            22816  3 snd_cs46xx,snd_mpu401_uart,snd_seq_midi
rtc                    13052  0
psmouse                36464  0
snd_seq_midi_event      6976  2 snd_seq_oss,snd_seq_midi
serio_raw               6660  0
snd_seq                47216  6
snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
pcspkr                  3200  0
i2c_piix4               8428  0
snd_timer              21604  3 snd_opl3_lib,snd_pcm,snd_seq
snd_seq_device          8044  6
snd_opl3_lib,snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
i2c_core               22432  1 i2c_piix4
intel_agp              23412  1
agpgart                31688  2 drm,intel_agp
evdev                  11104  6
snd                    50500  20
snd_cs46xx,snd_ac97_codec,snd_sb16,snd_opl3_lib,snd_sb16_dsp,snd_sb16_csp,snd_sb_common,snd_hwdep,snd_mpu401_uart,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_dummy,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
shpchp                 31028  0
pci_hotplug            27712  1 shpchp
yenta_socket           24844  3
rsrc_nonstatic         11872  1 yenta_socket
pcmcia_core            36884  3 pcmcia,yenta_socket,rsrc_nonstatic
soundcore               7552  1 snd
snd_page_alloc         10088  2 snd_cs46xx,snd_pcm
ext3                  122888  1
jbd                    43732  1 ext3
mbcache                 8288  1 ext3
usbhid                 28096  0
hid                    34272  1 usbhid
ide_cd                 36224  0
cdrom                  32512  1 ide_cd
ide_disk               15648  3
ata_generic             7428  0
libata                144464  1 ata_generic
scsi_mod              141164  1 libata
floppy                 54628  0
uhci_hcd               23376  0
piix                    7492  0 [permanent]
generic                 4388  0 [permanent]
ide_core              108292  4 ide_cd,ide_disk,piix,generic
usbcore               132940  3 usbhid,uhci_hcd
e100                   33836  0
mii                     5312  1 e100
thermal                16028  0
processor              36520  2 thermal
fan                     4772  0

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge [8086:7190] (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ >SERR- <PERR- INTx-
	Latency: 64
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP
bridge [8086:7191] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 128
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	Memory behind bridge: f0000000-f7ffffff
	Prefetchable memory behind bridge: 30000000-300fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B+
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:02.0 CardBus bridge [0607]: Texas Instruments PCI1450 [104c:ac1b] (rev 03)
	Subsystem: IBM ThinkPad A21m/T20/T22 [1014:0130]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 50000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 20000000-23fff000 (prefetchable)
	Memory window 1: 24000000-27fff000
	I/O window 0: 00001400-000014ff
	I/O window 1: 00001c00-00001cff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

00:02.1 CardBus bridge [0607]: Texas Instruments PCI1450 [104c:ac1b] (rev 03)
	Subsystem: IBM ThinkPad A21m/T20/T22 [1014:0130]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at 50100000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 28000000-2bfff000 (prefetchable)
	Memory window 1: 2c000000-2ffff000
	I/O window 0: 00002000-000020ff
	I/O window 1: 00002400-000024ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

00:03.0 Ethernet controller [0200]: Intel Corporation 82557/8/9/0/1 Ethernet Pro
100 [8086:1229] (rev 09)
	Subsystem: Intel Corporation EtherExpress PRO/100+ MiniPCI [8086:2408]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min, 14000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e8120000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at 1800 [size=64]
	Region 2: Memory at e8100000 (32-bit, non-prefetchable) [size=128K]
	[virtual] Expansion ROM at 30100000 [disabled] [size=1M]
	Capabilities: <access denied>
	Kernel driver in use: e100
	Kernel modules: e100, eepro100

00:03.1 Serial controller [0700]: Xircom Mini-PCI V.90 56k Modem [115d:000c]
(prog-if 02 [16550])
	Subsystem: Intel Corporation Unknown device [8086:2408]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at 1840 [size=8]
	Region 1: Memory at e8121000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: serial

00:05.0 Multimedia audio controller [0401]: Cirrus Logic CS 4614/22/24/30
[CrystalClear SoundFusion Audio Accelerator] [1013:6003] (rev 01)
	Subsystem: IBM ThinkPad A20m [1014:0153]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 64 (1000ns min, 6000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e8122000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at e8000000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>
	Kernel driver in use: Sound Fusion CS46xx
	Kernel modules: snd-cs46xx

00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ISA [8086:7110]
(rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:07.1 IDE interface [0101]: Intel Corporation 82371AB/EB/MB PIIX4 IDE
[8086:7111] (rev 01) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled]
[size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled]
[size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled]
[size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled]
[size=1]
	Region 4: I/O ports at 1850 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix

00:07.2 USB Controller [0c03]: Intel Corporation 82371AB/EB/MB PIIX4 USB
[8086:7112] (rev 01) (prog-if 00 [UHCI])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin D routed to IRQ 11
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:07.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113]
(rev 03)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Interrupt: pin ? routed to IRQ 9
	Kernel modules: i2c-piix4

01:00.0 VGA compatible controller [0300]: S3 Inc. 86C270-294 Savage/IX-MV
[5333:8c12] (rev 11) (prog-if 00 [VGA controller])
	Subsystem: IBM Thinkpad T20/T22 [1014:017f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 64 (1000ns min, 63750ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f0000000 (32-bit, non-prefetchable) [size=128M]
	[virtual] Expansion ROM at 30000000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel modules: savagefb

02:00.0 Network controller [0280]: RaLink RT2500 802.11g Cardbus/mini-PCI
[1814:0201] (rev 01)
	Subsystem: RaLink Unknown device [1814:2560]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 24000000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: rt2500
	Kernel modules: rt2500pci, rt2500



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.20     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.91e      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.24-1-686 recommends:
ii  libc6-i686                    2.7-10     GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.24-1-686/preinst/overwriting-modules-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/bootloader-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/create-kimage-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/prerm/would-invalidate-boot-loader-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/initrd-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.24-1-686/preinst/abort-install-2.6.24-1-686:
  linux-image-2.6.24-1-686/prerm/removing-running-kernel-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/abort-overwrite-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/bootloader-test-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/lilo-initrd-2.6.24-1-686: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.24-1-686/postinst/old-system-map-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/failed-to-move-modules-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/depmod-error-initrd-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/bootloader-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-dir-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/depmod-error-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/elilo-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/kimage-is-a-directory:





Bug reassigned from package `linux-image-2.6.24-1-686' to `linux-2.6'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 22 Apr 2008 08:54:05 GMT) Full text and rfc822 format available.

Forcibly Merged 464197 476672. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 22 Apr 2008 08:54:07 GMT) Full text and rfc822 format available.

Forcibly Merged 455092 464197 468151 476672. Request was from dererk <dererk@madap.com.ar> to control@bugs.debian.org. (Sat, 10 May 2008 13:51:11 GMT) Full text and rfc822 format available.

Forcibly Merged 455092 462035 464197 468151 476672 477409. Request was from dererk <dererk@madap.com.ar> to control@bugs.debian.org. (Sat, 10 May 2008 14:33:13 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=10750. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 19 May 2008 20:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to RalfGesellensetter <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 476672@bugs.debian.org (full text, mbox):

From: RalfGesellensetter <rgx@gmx.de>
To: 476672@bugs.debian.org
Subject: linux-image-2.6.25-2-486: alsa snd-cs46xx module missing
Date: Tue, 20 May 2008 09:02:30 +0200
Same here - it took quite a while to detect this as error source for 
absence of sound. 

00:0d.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 
[CrystalClear SoundFusion Audio Accelerator] (rev 01)

had been supported all the way from kernel 2.2. up! Now it suddenly is 
gone :(

Chris: Could you possibly give further directions on how to build the 
module?

Regards
Ralf


localhost:/usr/src/linux-headers-2.6.22-3/sound/pci/cs46xx# cat Makefile
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@suse.cz>
#

snd-cs46xx-objs := cs46xx.o cs46xx_lib.o
ifeq ($(CONFIG_SND_CS46XX_NEW_DSP),y)
  snd-cs46xx-objs += dsp_spos.o dsp_spos_scb_lib.o
endif

# Toplevel Module Dependency
obj-$(CONFIG_SND_CS46XX) += snd-cs46xx.o





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 476672@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: 476672@bugs.debian.org, RalfGesellensetter <rgx@gmx.de>
Subject: Same here
Date: Sat, 31 May 2008 21:55:50 -0700
snd-cs46xx can easily be gotten by running:

  module-assistant -t a-i alsa-source

but it would be nice to have it back by default in the Debian kernel
images.

Cheers,

--Seb




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 476672@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Sebastien Delafond <seb@debian.org>, 476672@bugs.debian.org
Cc: RalfGesellensetter <rgx@gmx.de>
Subject: Re: Bug#476672: Same here
Date: Mon, 2 Jun 2008 14:24:36 +0200
On Sat, 31 May 2008, Sebastien Delafond wrote:

> snd-cs46xx can easily be gotten by running:
> 
>   module-assistant -t a-i alsa-source
> 
> but it would be nice to have it back by default in the Debian kernel
> images.

patch?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 476672@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: maximilian attems <max@stro.at>
Cc: 476672@bugs.debian.org, RalfGesellensetter <rgx@gmx.de>
Subject: Re: Bug#476672: Same here
Date: Mon, 2 Jun 2008 08:14:49 -0700
On Mon, Jun 02, 2008 at 02:24:36PM +0200, maximilian attems wrote:
> > snd-cs46xx can easily be gotten by running:
> > 
> >   module-assistant -t a-i alsa-source
> > 
> > but it would be nice to have it back by default in the Debian kernel
> > images.
> 
> patch?

patch for what ? The aforementioned solution for getting snd-cs46xx is
infinitely more convenient that a patch could be.

Anyway, after some more research, it seems this is what is preventing
it to be distributed in the kernel images:

  http://bugzilla.kernel.org/show_bug.cgi?id=10750

Cheers,

--Seb




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 476672@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Sebastien Delafond <seb@debian.org>
Cc: 476672@bugs.debian.org, RalfGesellensetter <rgx@gmx.de>
Subject: Re: Bug#476672: Same here
Date: Mon, 2 Jun 2008 21:35:54 +0200
On Mon, Jun 02, 2008 at 08:14:49AM -0700, Sebastien Delafond wrote:
> On Mon, Jun 02, 2008 at 02:24:36PM +0200, maximilian attems wrote:
> > > snd-cs46xx can easily be gotten by running:
> > > 
> > >   module-assistant -t a-i alsa-source
> > > 
> > > but it would be nice to have it back by default in the Debian kernel
> > > images.
> > 
> > patch?
> 
> patch for what ? The aforementioned solution for getting snd-cs46xx is
> infinitely more convenient that a patch could be.

patch for request_firmware then the driver can be build again in debian.
you seem to not research on the bugs you report.
 
--
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Delafond <seb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 476672@bugs.debian.org (full text, mbox):

From: Sebastien Delafond <seb@debian.org>
To: maximilian attems <max@stro.at>
Cc: 476672@bugs.debian.org
Subject: Re: Bug#476672: Same here
Date: Mon, 2 Jun 2008 12:52:01 -0700
On Mon, Jun 02, 2008 at 09:35:54PM +0200, maximilian attems wrote:
> patch for request_firmware then the driver can be build again in
> debian.  you seem to not research on the bugs you report.

I did not report this bug, but simply tried to provide a way for
Debian users to build this module if they need it. Thanks for the love
anyway.

--Seb




Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Lale <chrislale@untrammelled.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 476672-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 476672-close@bugs.debian.org
Subject: Bug#476672: fixed in manpages 2.80-1
Date: Sat, 07 Jun 2008 21:02:37 +0000
Source: manpages
Source-Version: 2.80-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.80-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.80-1_all.deb
manpages_2.80-1.diff.gz
  to pool/main/m/manpages/manpages_2.80-1.diff.gz
manpages_2.80-1.dsc
  to pool/main/m/manpages/manpages_2.80-1.dsc
manpages_2.80-1_all.deb
  to pool/main/m/manpages/manpages_2.80-1_all.deb
manpages_2.80.orig.tar.gz
  to pool/main/m/manpages/manpages_2.80.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 22:42:06 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.80-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 421482 467552 476484 476672 477402 479284
Changes: 
 manpages (2.80-1) unstable; urgency=low
 .
   * New upstream version
     . Add getgrouplist(3) to SEE ALSO of getgrent(2) (closes: Bug#479284)
     . Document EEXISTS for rmdir(2) (closes: Bug#467552)
     . Update to sync_file_range(2) (closes: Bug#421482)
     . Remove unnecessary subheading in utime(2) (closes: Bug#477402)
     . Fix declaration of valuep in getsubopt(3) (closes: Bug#476672)
     . Clarify semantics when called from a multithreaded program in
       raise(3) (closes: Bug#476484)
Checksums-Sha1: 
 c7ceec36090e7472f22d2bc9c34933cb75d38252 964 manpages_2.80-1.dsc
 4c87677b117244b0bf346d29fb386f445343d179 1317640 manpages_2.80.orig.tar.gz
 42bf361cca01cf7f5d929cbae0004502c4006e92 51304 manpages_2.80-1.diff.gz
 fe0c0cd9be2a77a9bedbeab29e1d5d08f2a31399 553902 manpages_2.80-1_all.deb
 d6cff52f9c47456598134c7cd584dd6978ebc7d4 1393904 manpages-dev_2.80-1_all.deb
Checksums-Sha256: 
 7cc2effe80c537c7d016c0a75250aa546761a9d1076a2cb4c3baa123602c858b 964 manpages_2.80-1.dsc
 887d9faa3e8bfb79336264c36fe8b65eb852e7b13043cbd66c17ba9ecac8ab55 1317640 manpages_2.80.orig.tar.gz
 e889887d4feee01e56997084849c22101fc791deca24d709586dd94df883b062 51304 manpages_2.80-1.diff.gz
 ef575a3deda4823f50c76edee8da050ada837f74adaf4030eaeb41476f836fd8 553902 manpages_2.80-1_all.deb
 ae04cb913484f94f842d6fb7d9024099b9f9203c4b84bf3f99abf24eb56bba2b 1393904 manpages-dev_2.80-1_all.deb
Files: 
 aa1d101adbc82d6c70070c66ef7a2901 964 doc important manpages_2.80-1.dsc
 1ffb19f639fc105c41fe24ec2308293f 1317640 doc important manpages_2.80.orig.tar.gz
 14718d9a35ecfa70089856e675fbb118 51304 doc important manpages_2.80-1.diff.gz
 fb663a344da9a61ea881d88ef16287a4 553902 doc important manpages_2.80-1_all.deb
 5f8a8ec191f8001a794f587739e8a96e 1393904 doc optional manpages-dev_2.80-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFISvNSW5ql+IAeqTIRAvXKAJ99mlb0ddU6OXn/H+Uy0nuBdPSiPACgskqv
M5aSonBZ6WRvLmJli1hC59k=
=hF0v
-----END PGP SIGNATURE-----





Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Gregg Reed" <gareed105@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to clayton <ckoeni@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anders Lagerås <anders.lageras@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dererk <dererk@madap.com.ar>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Free Wheeler <fwheeler_1@yahoo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sat, 07 Jun 2008 22:18:06 GMT) Full text and rfc822 format available.

Disconnected #476672 from all other report(s). Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 05:18:03 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Chris Lale <chrislale@untrammelled.co.uk> Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 05:18:08 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 21:03:57 GMT) Full text and rfc822 format available.

Merged 455092 462035 464197 468151 476672 477409. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 21:04:49 GMT) Full text and rfc822 format available.

Information stored:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #90 received at 476672-quiet@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 476672-quiet@bugs.debian.org, joey@infodrom.org
Subject: Bug #476672 closed incorrectly
Date: Sun, 8 Jun 2008 23:11:28 +0200
Hi Joey,

I think the number you're looking for is 479672...

Regards,

Stephen




Information stored:
Bug#476672; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #95 received at 476672-quiet@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Stephen Kitt <steve@sk2.org>
Cc: 476672-quiet@bugs.debian.org
Subject: Re: Bug #476672 closed incorrectly
Date: Mon, 9 Jun 2008 07:37:25 +0200
Stephen Kitt wrote:
> Hi Joey,
> 
> I think the number you're looking for is 479672...

*dooh*  Thanks for spottin this.  New commands sent to the control bot.

Regards,

	Joey

-- 
Linux - the choice of a GNU generation.

Please always Cc to me when replying to me on the lists.




Severity set to `wishlist' from `wishlist' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 23:18:10 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 23:18:13 GMT) Full text and rfc822 format available.

Forcibly Merged 455092 462035 464197 468151 476672 477409 493924 493926. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Sat, 27 Dec 2008 16:42:07 GMT) Full text and rfc822 format available.

Merged 430017 455092 462035 464197 468151 476672 477409 493924 493926. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Thu, 13 Aug 2009 22:39:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 16 Aug 2009 23:45:06 GMT) Full text and rfc822 format available.

Forcibly Merged 430017 455092 462035 464197 468151 476672 477409 493924 493926 493928. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Fri, 21 Aug 2009 17:30:38 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jan 2010 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:48:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.